cabal-version: 2.2

-- This file has been generated from package.yaml by hpack version 0.36.1.
--
-- see: https://github.com/sol/hpack

name:           spicy-containers
version:        0.1.0
description:    Additional functionality and instances for container types
author:         Phillip Seeber, Sebastian Seidenath
maintainer:     phillip.seeber@uni-jena.de, sebastian.seidenath@uni-jena.de
copyright:      2024 Phillip Seeber, Sebastian Seidenath
license:        AGPL-3.0-only
license-file:   LICENSE
build-type:     Simple
extra-source-files:
    LICENSE

source-repository head
  type: git
  location: https://gitlab.com/theoretical-chemistry-jena/quantum-chemistry/Spicy

library
  exposed-modules:
      Spicy.Graph
      Spicy.HashMap
      Spicy.IntMap
      Spicy.IntSet
      Spicy.List
      Spicy.Map
      Spicy.Massiv
      Spicy.Tests.IntSet.Generators
      Spicy.Tests.Set.Generators
  other-modules:
      Paths_spicy_containers
  autogen-modules:
      Paths_spicy_containers
  hs-source-dirs:
      src
  default-extensions:
      NoImplicitPrelude
      StrictData
      OverloadedStrings
      OverloadedLabels
      OverloadedRecordDot
      RecordWildCards
      CApiFFI
      DeriveGeneric
      DerivingVia
      DerivingStrategies
      DuplicateRecordFields
      GADTs
      LambdaCase
      QuantifiedConstraints
      TypeFamilies
      ViewPatterns
      DataKinds
  ghc-options: -Wall -Wcompat -Widentities -Wincomplete-record-updates -Wincomplete-uni-patterns -Wpartial-fields -Wredundant-constraints
  build-depends:
      aeson >=1.4.4.0 && <2.3
    , base >=4.16 && <4.21
    , binary >=0.8.8.0 && <0.11
    , bytestring >=0.10.8.2 && <0.13
    , containers >=0.6.0.1 && <0.8
    , fgl >=5.7.0.3 && <5.9
    , hedgehog >=1.0.5 && <1.6
    , massiv >=1.0.1.0 && <1.1
    , rio >=0.1.13.0 && <0.2
    , spicy-finitecompare >=0.1.0 && <0.2
    , spicy-prelude >=0.1.0 && <0.2
  default-language: GHC2021

test-suite spicy-containers-test
  type: exitcode-stdio-1.0
  main-is: test.hs
  other-modules:
      Spicy.Tests.Graph
      Spicy.Tests.Massiv
      Paths_spicy_containers
  autogen-modules:
      Paths_spicy_containers
  hs-source-dirs:
      test
  default-extensions:
      NoImplicitPrelude
      StrictData
      OverloadedStrings
      OverloadedLabels
      OverloadedRecordDot
      RecordWildCards
      CApiFFI
      DeriveGeneric
      DerivingVia
      DerivingStrategies
      DuplicateRecordFields
      GADTs
      LambdaCase
      QuantifiedConstraints
      TypeFamilies
      ViewPatterns
      DataKinds
  ghc-options: -Wall -Wcompat -Widentities -Wincomplete-record-updates -Wincomplete-uni-patterns -Wpartial-fields -Wredundant-constraints -threaded -rtsopts -with-rtsopts=-N
  build-depends:
      aeson >=1.4.4.0 && <2.3
    , base >=4.16 && <4.21
    , binary >=0.8.8.0 && <0.11
    , bytestring >=0.10.8.2 && <0.13
    , containers >=0.6.0.1 && <0.8
    , fgl >=5.7.0.3 && <5.9
    , hedgehog >=1.0.5 && <1.6
    , massiv >=1.0.1.0 && <1.1
    , rio >=0.1.13.0 && <0.2
    , spicy-containers
    , spicy-finitecompare >=0.1.0 && <0.2
    , spicy-prelude >=0.1.0 && <0.2
    , tasty >=1.2.3 && <1.6
    , tasty-hedgehog >=1.3.1.0 && <1.5
    , tasty-hunit >=0.10.0.2 && <0.11
  default-language: GHC2021
